<?php

namespace App\Entities\PagSeguro\Share;

use App\Utils\Entity;

class PagSeguroPaymentMethod extends Entity {
	protected $type;
	protected $installments;
	protected $capture;
	protected $soft_descriptor;
	protected $card;
	protected $token_data;
	protected $authentication_method;
	protected $boleto;

	public static function builder():PagSeguroPaymentMethodBuilder {

		return new PagSeguroPaymentMethodBuilder();

	}

	/**
	 *
	 * @return mixed
	 */
	public function getType() {

		return $this->type;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getInstallments() {

		return $this->installments;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getCapture() {

		return $this->capture;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getSoft_descriptor() {

		return $this->soft_descriptor;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getCard() {

		return $this->card;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getToken_data() {

		return $this->token_data;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getAuthentication_method() {

		return $this->authentication_method;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getBoleto() {

		return $this->boleto;

	}

	/**
	 *
	 * @param mixed $type
	 */
	public function setType($type) {

		$this->type = $type;

	}

	/**
	 *
	 * @param mixed $installments
	 */
	public function setInstallments($installments) {

		$this->installments = $installments;

	}

	/**
	 *
	 * @param mixed $capture
	 */
	public function setCapture($capture) {

		$this->capture = $capture;

	}

	/**
	 *
	 * @param mixed $soft_descriptor
	 */
	public function setSoft_descriptor($soft_descriptor) {

		$this->soft_descriptor = $soft_descriptor;

	}

	/**
	 *
	 * @param mixed $card
	 */
	public function setCard($card) {

		$this->card = $card;

	}

	/**
	 *
	 * @param mixed $token_data
	 */
	public function setToken_data($token_data) {

		$this->token_data = $token_data;

	}

	/**
	 *
	 * @param mixed $authentication_method
	 */
	public function setAuthentication_method($authentication_method) {

		$this->authentication_method = $authentication_method;

	}

	/**
	 *
	 * @param mixed $boleto
	 */
	public function setBoleto($boleto) {

		$this->boleto = $boleto;

	}

}

